<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="UTF-8">
    <title>Userlist</title>
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/js/bootstrap.min.js"></script>
    <script src="//code.jquery.com/jquery-1.11.1.min.js"></script>
    <script src=" https://use.fontawesome.com/d298d76adf.js"></script>
    <link rel="stylesheet" th:href="@{/css/userlist.css}" href="../static/css/userlist.css">

</head>
<body>

<div class="container">
    <div class="well well-sm">

        <a th:href="@{/}" class="btn btn-default btn-sm" >
            <span class="glyphicon glyphicon-tasks"></span> Menu</a>


        <form class="search" th:action="@{/result}" style="float: right;max-width:300px">
            <input type="text" placeholder="Search Username.." name="username">
            <button type="submit" th:value="users"><i class="fa fa-search"></i></button>
        </form>

    </div>

    <strong>Display</strong>
    <div class="btn-group " >
        <a href="#" id="list" class="btn btn-default btn-sm"><span class="glyphicon glyphicon-th-list">
            </span>List</a>
        <a href="#" id="grid" class="btn btn-default btn-sm"><span
                class="glyphicon glyphicon-th"></span>Grid</a>
    </div>
    <div id="products" class="row list-group">

        <div class="item  col-xs-4 col-lg-6" th:each="user : ${users}">
            <div class="thumbnail">
                <a th:href="@{'/user/' +${user.getId()}}"><img width="100" th:if="${user.picture != null}"
                                                               th:src="@{'/profile/' +${user.getId()} + '/userimage'}"
                                                               class="img-responsive"/></a>
                <a th:href="@{'/user/' +${user.getId()}}"><img width="100" th:unless="${user.picture != null}"
                                                               src="/img/default.png"></a>
                <div class="caption">
                    <h4 class="group inner list-group-item-heading">
                        <div class="h5"><p><strong><span
                                th:text="${user.firstName}"></span>
                            <span th:text="${user.lastName}"/></strong><br/></p></div>
                    </h4>

                    <div>
                        <div class="h5">
                            <p><strong><span>Username:</span>
                                <span th:if="(${user.userName == ''|| user.userName == null})">no mail</span>
                                <span th:text="${user.userName}"/></strong><br/></p>
                        </div>
                        <div class="h5">
                            <p><strong><span>E-Mail:</span>
                                <span th:if="(${user.email == ''|| user.email == null})">no mail</span>
                                <span th:text="${user.email}"/></strong><br/></p>
                        </div>
                    </div>

                    <div class="col-xs-12 col-md-6" sec:authorize="isAuthenticated()">

                        <a class="btn btn-success"

                           style="float: left" th:if="${friendList.contains(user)}">Fiends</a>

                        <a class="btn btn-success"
                           th:href="@{'/request/'+${user.getId()}}"
                            style="float: left"th:unless="${friendList.contains(user)}">Request</a>

                    </div>
                </div>
            </div>

        </div>

    </div>
    <div class="page-container">
        <ul class="pagination ">
            <li class="page-item" th:each="pageNumber : ${#numbers.sequence(0,users.getTotalPages()-1)}">
                <a class="page-link" th:href="@{/userlist/(page=${pageNumber})}" th:text="${pageNumber+1}">1</a>
            </li>
        </ul>
    </div>
</div>

<script th:src="@{/js/userlist.js}" src="../static/js/userlist.js"></script>

</body>
</html>